package ru.landgrafhomyak.bgtu.db0.storage.serdha.schema._temp

import ru.landgrafhomyak.db.serdha0.api.misc.DatabaseType

class S64(provider: DatabaseType.Provider) :
	DatabaseType._VirtualType<Long, ULong, U64>(provider.U64) {

	override val name: String get() = "INT_S64"

	override fun _unwrap(w: ULong): Long = w.toLong()

	override fun _wrap(w: Long): ULong = w.toULong()

	override fun _equals(l: Long, r: Long): Boolean = l == r

	override fun _compare(l: Long, r: Long): Int = l.compareTo(r)

}